Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ThreadIbsta

## Name

ThreadIbsta -- thread-specific ibsta value

## Synopsis

    #include <gpib/ib.h>

``int ThreadIbsta`(void);`

## Description

ThreadIbsta() returns a thread-local version of the global variable ibsta.

## Return value

The value of ibsta corresponding to the last 'traditional' or 'multidevice' function called by the current thread is returned.

Prev | Home | Next
ThreadIberr | Up | GPIB protocol